Index: tests/exceptions/finally-error.cfa
===================================================================
--- tests/exceptions/finally-error.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
+++ tests/exceptions/finally-error.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -0,0 +1,156 @@
+// All of these should be caught as long as the check remains in the same
+// pass. (Although not even all of the checks are in place yet.)
+
+void break_in_finally() {
+	while (true) {
+		try {} finally {
+			break;
+		}
+	}
+}
+
+void for_break_in_finally() {
+	for (10) {
+		try {} finally {
+			break;
+		}
+	}
+}
+
+void do_while_break_in_finally() {
+	do {
+		try {} finally {
+			break;
+		}
+	} while (false);
+}
+
+void continue_in_finally() {
+	while (true) {
+		try {} finally {
+			continue;
+		}
+	}
+}
+
+void goto_in_finally() {
+	while (true) {
+		try {} finally {
+			goto end_of_function;
+		}
+	}
+	end_of_function: {}
+}
+
+void labelled_break_in_finally() {
+	mainLoop: while (true) {
+		try {} finally {
+			break mainLoop;
+		}
+	}
+}
+
+void labelled_continue_in_finally() {
+	mainLoop: while (true) {
+		try {} finally {
+			continue mainLoop;
+		}
+	}
+}
+
+void switch_break_in_finally() {
+	switch (1) {
+	case 1:
+		try {} finally {
+			break;
+		}
+	default:
+		break;
+	}
+}
+
+void choose_break_in_finally() {
+	choose (1) {
+	case 1:
+		try {} finally {
+			break;
+		}
+	default:
+		break;
+	}
+}
+
+void choose_fallthru_in_finally() {
+	choose (1) {
+	case 1:
+		try {} finally {
+			fallthru;
+		}
+	default:
+		break;
+	}
+}
+
+void labelled_choose_break_in_finally() {
+	mainBlock: choose (1) {
+	case 1:
+		try {} finally {
+			break mainBlock;
+		}
+	case 2:
+		break;
+	default:
+		break;
+	}
+}
+
+void labelled_choose_fallthru_in_finally() {
+	mainBlock: choose (1) {
+	case 1:
+		try {} finally {
+			fallthru mainBlock;
+		}
+	case 2:
+		break;
+	default:
+		break;
+	}
+}
+
+void choose_fallthru_default_in_finally() {
+	choose (1) {
+	case 1:
+		try {} finally {
+			fallthru default;
+		}
+	default:
+		break;
+	}
+}
+
+void void_return_in_finally() {
+	try {} finally {
+		return;
+	}
+}
+
+int value_return_in_finally() {
+	try {} finally {
+		return -7;
+	}
+
+}
+
+// Checked in the same place, make sure it does't break.
+void break_in_function() {
+	while (true) {
+		void inner() {
+			break;
+		}
+	}
+}
+
+void main() {
+	// Should not compile.
+	return 1;
+}
Index: tests/io/manipulatorsInput.cfa
===================================================================
--- tests/io/manipulatorsInput.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/io/manipulatorsInput.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -15,39 +15,4 @@
 
 int main() {
-	{
-		// Upfront checks to ensure buffer safety.  Once these pass, the simpler `wdi(sizeof(s),s)`
-		// usage, as in the scanf alignment cases below, is justified.
-		struct {
-			char buf[8];
-			char canary;
-		} data;
-		static_assert( sizeof(data.buf) == 8 );
-		static_assert( &data.buf[8] == &data.canary );  // canary comes right after buf
-
-		void rep(const char* casename) {
-			data.canary = 42;
-			bool caught = false;
-			try {
-				sin | wdi( sizeof(data.buf), data.buf );
-			} catch (cstring_length*) {
-				caught = true;
-			}
-			printf( "%s \"%s\"", casename, data.buf );
-			if ( caught ) {
-				printf(", exception occurred");
-			}
-			if ( data.canary == 42 ) {
-				printf(", canary ok");
-			} else {
-				printf(", canary overwritten to %d", data.canary);
-			}
-			printf("\n");
-		}
-
-		rep("pre1");
-		rep("pre2a");
-		rep("pre2b");
-		scanf("\n");  // next test does not start with %s so does not tolerate leading whitespace
-	}
 	{
 		char s[] = "yyyyyyyyyyyyyyyyyyyy";
Index: tests/minmax.cfa
===================================================================
--- tests/minmax.cfa	(revision deda7e6002cc711be5c0af09984cec24300d5990)
+++ tests/minmax.cfa	(revision c1e66d966aadf6846330871033458d4a398bd576)
@@ -45,15 +45,4 @@
 	sout | "double\t\t\t"				| 4.0 | 3.1 | "\tmax" | max( 4.0, 3.1 );
 	sout | "long double\t\t"			| 4.0l | 3.1l | "\tmax" | max( 4.0l, 3.1l );
-
-	sout | nl;
-
-	sout | "3 arguments";
-	sout | 2 | 3 | 4 | "\tmin" | min(2, 3, 4) | "\tmax" | max(2, 3, 4);
-	sout | 4 | 2 | 3 | "\tmin" | min(4, 2, 3) | "\tmax" | max(4, 2, 3);
-	sout | 3 | 4 | 2 | "\tmin" | min(3, 4, 2) | "\tmax" | max(3, 4, 2);
-
-	sout | "4 arguments";
-	sout | 3 | 2 | 5 | 4 | "\tmin" | min(3, 2, 5, 4) | "\tmax" | max(3, 2, 5, 4);
-	sout | 5 | 3 | 4 | 2 | "\tmin" | min(5, 3, 4, 2) | "\tmax" | max(5, 3, 4, 2);
 } // main
 
